GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual

# GearmanJob::exception

(PECL gearman <= 0.5.0)

GearmanJob::exception — Envoie une exception pour un travail en cours d'exécution (obsolète)

### Description

public bool GearmanJob::exception ( string `$exception` )

Envoie l'exception fournie lorsque ce travail est en cours d'exécution.

> Note:

> Cette méthode a été remplacée par la méthode GearmanJob::sendException() depuis la version 0.6.0 de l'extension Gearman.

### Liste de paramètres

`exception`

  Une description d'exception.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Voir aussi

- GearmanJob::setReturn() - Définit une valeur de retour
- GearmanJob::sendStatus() - Envoie un statut
- GearmanJob::sendWarning() - Envoie une alerte

GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual